﻿using System;
using System.Collections.Generic;

// Структура данных для комплектующих компьютера
public class ComputerComponent
{
    public string Name { get; set; }
    public string Type { get; set; }
    // Другие характеристики компонента

    public ComputerComponent(string name, string type)
    {
        Name = name;
        Type = type;
    }
}

// Класс для проверки совместимости компонентов в сборке
public class CompatibilityChecker
{
    public bool CheckCompatibility(List<ComputerComponent> components)
    {
        // Логика проверки совместимости компонентов
        foreach (var component in components)
        {
            // Проверка совместимости
            if (component.Type == "CPU" && components.Exists(c => c.Type == "Motherboard"))
            {
                // Логика проверки совместимости процессора и материнской платы
                Console.WriteLine($"Процессор {component.Name} совместим с материнской платой.");
            }
            // Другие логические проверки

        }
        Console.WriteLine("Проверка совместимости завершена.");
        return true; // или false в зависимости от результата проверки
    }
}

// Пример использования
class Program
{
    static void Main()
    {
        var components = new List<ComputerComponent>
        {
            new ComputerComponent("Intel Core i7", "CPU"),
            new ComputerComponent("MSI Z390 Gaming Pro", "Motherboard"),
            // Другие компоненты
        };

        var checker = new CompatibilityChecker();
        checker.CheckCompatibility(components);
    }
}
